<!-- Generated template for the CreateMessageComponent component -->

<ion-header class="transparent">
	<span float-left class="modal-title">
		<h3 class="text-theme">New Message</h3> 
	</span>
	<span float-right class="modal-close">
		<ion-icon name="close" class="icon-big-color" (click)="dismiss()"></ion-icon>
	</span>
</ion-header>

<ion-content padding>


	<div>
    	<ion-item>
	    	<ion-label stacked><h3>Recipient</h3><br>
	    		<h4> <span *ngIf="userContacts"> {{userContacts.user_info}} (Ride To {{userContacts.ride_info}}) </span> </h4> 
	    	 </ion-label>
	    	<ion-select [(ngModel)]="ride" placeholder="Select User"  *ngIf="!rider">
			    <ion-option *ngFor="let user of userContacts" value="{{user.rides_id}},{{user.otherUser_id}}" (ionSelect)="checkRide(user)">
			    	{{user.user_info}} (Ride to {{user.ride_info}})<br> 
				</ion-option>
			  </ion-select>
		</ion-item>
		<ion-item>
			<ion-label stacked><h3>Message</h3></ion-label> 
			<ion-textarea [(ngModel)]="body" padding ></ion-textarea>
		</ion-item>
		<button (click)="createMessage()" 
		ion-button block class="sm-theme text-white btn rounded" >
    		Send Message
    	</button>
    	<div *ngIf="beforePay">
    		<small> ** Please do not share any personal info at this point, we are not responsible if the 	ride is not fully booked </small> 
    	</div>
    </div>
</ion-content>